<?php
 
function xmldb_block_timetable_upgrade($oldversion) {
    global $CFG;
     
    $result = TRUE;

    global $DB;
    $dbman = $DB->get_manager(); // Loads ddl manager and xmldb classes.

    if ($oldversion < 2020062400) {

        // Define table block_timetable to be created.
        $table = new xmldb_table('block_timetable');

        // Adding fields to table block_timetable.
        $table->add_field('id', XMLDB_TYPE_INTEGER, '10', null, XMLDB_NOTNULL, XMLDB_SEQUENCE, null);

        // Adding keys to table block_timetable.
        $table->add_key('primary', XMLDB_KEY_PRIMARY, ['id']);

        // Conditionally launch create table for block_timetable.
        if (!$dbman->table_exists($table)) {
            $dbman->create_table($table);
        }
        
        // Define table timetable_lesson to be created.
        $table = new xmldb_table('timetable_lesson');

        // Adding fields to table timetable_lesson.
        $table->add_field('id', XMLDB_TYPE_INTEGER, '10', null, XMLDB_NOTNULL, XMLDB_SEQUENCE, null);
        $table->add_field('teacher', XMLDB_TYPE_CHAR, '20', null, null, null, null);
        $table->add_field('day', XMLDB_TYPE_INTEGER, '2', null, null, null, null);
        $table->add_field('period', XMLDB_TYPE_INTEGER, '2', null, null, null, null);
        $table->add_field('subject', XMLDB_TYPE_CHAR, '20', null, null, null, null);
        $table->add_field('room', XMLDB_TYPE_CHAR, '20', null, null, null, null);
        $table->add_field('lessonid', XMLDB_TYPE_INTEGER, '7', null, null, null, null);
        $table->add_field('flag', XMLDB_TYPE_INTEGER, '7', null, null, null, null);
        $table->add_field('class', XMLDB_TYPE_CHAR, '20', null, null, null, null);
        $table->add_field('week', XMLDB_TYPE_CHAR, '53', null, null, null, null);
        $table->add_field('unknown', XMLDB_TYPE_INTEGER, '7', null, null, null, null);

        // Adding keys to table timetable_lesson.
        $table->add_key('primary', XMLDB_KEY_PRIMARY, ['id']);

        // Conditionally launch create table for timetable_lesson.
        if (!$dbman->table_exists($table)) {
            $dbman->create_table($table);
        }

        // Timetable savepoint reached.
        upgrade_block_savepoint(true, 2020062400, 'timetable');
        
        
    }
    if ($oldversion < 2020063001) {

        // Define table timetable_substitution to be created.
        $table = new xmldb_table('timetable_substitution');

        // Adding fields to table timetable_substitution.
        $table->add_field('id', XMLDB_TYPE_INTEGER, '10', null, XMLDB_NOTNULL, XMLDB_SEQUENCE, null);
        $table->add_field('date', XMLDB_TYPE_CHAR, '8', null, null, null, null);
        $table->add_field('period', XMLDB_TYPE_INTEGER, '2', null, null, null, null);
        $table->add_field('absence', XMLDB_TYPE_INTEGER, '6', null, null, null, null);
        $table->add_field('lesson', XMLDB_TYPE_INTEGER, '6', null, null, null, null);
        $table->add_field('teachera', XMLDB_TYPE_CHAR, '255', null, null, null, null);
        $table->add_field('teacherb', XMLDB_TYPE_CHAR, '255', null, null, null, null);
        $table->add_field('subjecta', XMLDB_TYPE_CHAR, '255', null, null, null, null);
        $table->add_field('statistica', XMLDB_TYPE_CHAR, '255', null, null, null, null);
        $table->add_field('subjectb', XMLDB_TYPE_CHAR, '255', null, null, null, null);
        $table->add_field('statisticb', XMLDB_TYPE_CHAR, '255', null, null, null, null);
        $table->add_field('rooma', XMLDB_TYPE_CHAR, '255', null, null, null, null);
        $table->add_field('roomb', XMLDB_TYPE_CHAR, '255', null, null, null, null);
        $table->add_field('statisticflag', XMLDB_TYPE_CHAR, '10', null, null, null, null);
        $table->add_field('classesa', XMLDB_TYPE_CHAR, '255', null, null, null, null);
        $table->add_field('reason', XMLDB_TYPE_CHAR, '255', null, null, null, null);
        $table->add_field('text', XMLDB_TYPE_CHAR, '255', null, null, null, null);
        $table->add_field('type', XMLDB_TYPE_INTEGER, '10', null, null, null, null);
        $table->add_field('classesb', XMLDB_TYPE_CHAR, '255', null, null, null, null);
        $table->add_field('substitutiontype', XMLDB_TYPE_CHAR, '1', null, null, null, null);
        $table->add_field('changetime', XMLDB_TYPE_INTEGER, '12', null, null, null, null);
        $table->add_field('unknown', XMLDB_TYPE_CHAR, '10', null, null, null, null);

        // Adding keys to table timetable_substitution.
        $table->add_key('primary', XMLDB_KEY_PRIMARY, ['id']);

        // Conditionally launch create table for timetable_substitution.
        if (!$dbman->table_exists($table)) {
            $dbman->create_table($table);
        }

        // Timetable savepoint reached.
        upgrade_block_savepoint(true, 2020063001, 'timetable');
    }

	     
    return $result;
}
?>
